Đến nội dung


Hình ảnh
- - - - -

[Nhờ chỉnh sửa] Lisp ghi kích thước mà không ghi đường gióng kích thước


  • Please log in to reply
2 replies to this topic

#1 dung_can

dung_can

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 25 July 2012 - 08:25 AM

Bác Pro nào giúp em sửa đoạn lisp này của bác Tue_NV sao cho khi chọn 2 điểm xong thì kết quả chỉ ghi khoảng cách 2 điểm mà không thực hiện Dimlinear (Không có đường gióng kích thước) với nhé. Em cảm ơn nhiều.

Ví dụ:

Hình đã gửi



(vl-load-com)
(defun Tue:ss-drag-move (ss p / el lp)
;;;copyright by Tue_NV
(setq el (entlast))
(if (and ss p (vl-cmdf "copy" ss "" p pause) (null (equal (getvar "lastpoint") p)))
(setq lp (getvar "lastpoint")) (setq lp nil)
)
(while (setq el (entnext el)) (entdel el))
lp)
(defun c:dkt(/ p1 p2 ob)
(while (setq p1 (getpoint "\n diem do dau tien :"))
(if (vl-cmdf "DIMALIGNED" p1 (setq p2 (getpoint p1 "\n diem do tiep theo :")) pause )
(progn
(setq ob (vlax-ename->vla-object (entlast)))
(vla-addtext (vla-get-modelspace(vla-get-activedocument(vlax-get-acad-object)))
(rtos (vlax-get ob 'Measurement) 2 (vlax-get ob 'PrimaryUnitsPrecision))
(vlax-3d-point (vlax-get ob 'TextPosition)) (vlax-get ob 'TextHeight) )
(setq ptt (Tue:ss-drag-move (ssadd (entlast) (ssadd)) (vlax-get ob 'TextPosition)) )
(command "move" (entlast) "" (vlax-get ob 'TextPosition) ptt)

)
)
)
)

  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 25 July 2012 - 09:38 AM

Mời bạn post vào topic đấy
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 Chiron

Chiron

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 25 July 2012 - 09:46 AM

Có thực sự cần dùng lisp không bạn? Mình có thể tắt các biến dimsd1, dimsd2, dimse1, dimse2 là sẽ không thấy các đường dóng mà.
  • 1